![Logo](../master/gk_logo_full.png)


[![Website](https://img.shields.io/badge/www-gedkeeper.net-0099BC.svg?maxAge=3600)](https://gedkeeper.net/)
[![forums](https://img.shields.io/badge/join-the%20forums-yellowgreen.svg)](http://groups.google.com/group/gedkeeper-en)
[![Chat on Telegram](https://img.shields.io/badge/Chat%20on-Telegram-brightgreen.svg)](https://t.me/gedkeeper_chat_en)
[![Change Log](https://img.shields.io/badge/Change%20Log-green)](CHANGELOG.md)
[![GitHub release](https://img.shields.io/github/release/Serg-Norseman/GEDKeeper.svg?label=Latest&maxAge=60)](https://github.com/Serg-Norseman/GEDKeeper/releases/latest)
[![Download GEDKeeper](https://img.shields.io/sourceforge/dm/gedkeeper.svg)](https://sourceforge.net/projects/gedkeeper/files/latest/download)

[![Build status](https://ci.appveyor.com/api/projects/status/h0u8iwr3kvy6o9x1?svg=true)](https://ci.appveyor.com/project/Serg-Norseman/gedkeeper)
[![codecov.io](https://codecov.io/github/Serg-Norseman/GEDKeeper/coverage.svg?branch=master)](https://codecov.io/github/Serg-Norseman/GEDKeeper?branch=master)


The **GEDKeeper** program is for working with personal genealogical databases.

The program is designed with an extremely simple and intuitive interface. 
It is very easy to install on your computer and provides many features including,
but not limited to, the following:
* Full support of the GEDCOM 5.5.1 standard.
* No restrictions on the number of persons and generations.
* Allows pedigree generation.
* Can build several tree species, as well as print and save their images.
* Provides fast navigation, filtering, and searching.
* Able to add multimedia materials.
* An output of geographic data using [Google© maps](https://maps.google.com) and [OpenStreetMap](https://www.openstreetmap.org/).

The aim of this program is to be a quick and effective means of conducting personal 
genealogical database development.

To enhance the capabilities of the program it supports scripts using Lua and plug-ins written in .NET.

The latest releases can be downloaded from [releases](https://github.com/serg-norseman/gedkeeper/releases) 
or from the [homepage site](https://gedkeeper.net/). Alternatively [SourceForge](https://sourceforge.net/projects/gedkeeper/) site.

Project's homepage site: [http://gedkeeper.net/](http://gedkeeper.net/)

Community group: [Google Groups: GEDKeeper (en)](https://groups.google.com/g/gedkeeper-en)

### Support

The project is completely free - no restrictions are imposed on its use. I just like to do useful things. 
If you have a desire to help, tell friends about the project.
Thanks!

### Contributing

All contributions are welcomed. Contributions may close an issue, fix a bug (reported or not), add new design blocks, 
improve the existing code, add a new feature, and so on.

### Bugs and feature requests

Have a bug or a feature request? Please first search for existing and closed [issues](https://github.com/Serg-Norseman/GEDKeeper/issues).
If your problem or idea is not addressed yet, please open a new issue.


## Implementations

- "GEDKeeper2", standard (NET4.7.1 & WinForms based)
- "GEDKeeper3", cross-platform (NET Standard & Eto based)
- "GEDKeeperX", future mobile (NET Standard & Xamarin based), initial experience


## Supported languages

- Chinese (simplified)
- Czech
- English
- French
- German
- Italian
- Kazakh (cyrillic), partial
- Polish
- Russian
- Ukrainian

### Planned, search for a native speaker

- Hungarian
- Portuguese
- Spanish

## Docs & Help

- [Contributing and Development guide](/CONTRIBUTING.md)
- [Coding style guide](/CODINGSTYLE.md)
- [Changelog](/CHANGELOG.md)


## Links

https://gedkeeper.net/

https://sourceforge.net/projects/gedkeeper/
